MAN-RECODE(1)

NOME
man-recode - converte páginas do manual para outra codificação

SINOPSE
man-recode -t para-código {--suffix=sufixo|--in-place} [-dqhV] [nomefich]

DESCRIÇÃO
man-recode converte múltiplas páginas do manual de uma codificação para outra, adivinhando a codificação de entrada apropriada para cada uma. É útil ao recodificar permanentemente páginas escritas em conjuntos de caracteres ultrapassados, ou em sistemas de construção que precisam de recodificar um grupo de páginas numa única codificação comum (habitualmente UTF-8) para instalação. Ao converter várias páginas do manual, este programa é muito mais rápido que executar man --recode ou manconv em cada página.

Se for encontrada uma declaração de codificação na primeira linha da página do manual, essa declaração é usada como codificação de entrada dessa página. Se isto falhar, a codificação de entrada é adivinhada com base no nome do ficheiro.

As declarações de codificação têm a seguinte forma:

    '\" -*- coding: UTF-8 -*-

ou (se os pré-processadores de páginas do manual também forem declarados):

    '\" t -*- coding: ISO-8859-1 -*-

OPÇÕES

-t codificação, --to-code=codificação
    Converte páginas do manual para codificação.

--suffix=sufixo
    Forma cada nome de ficheiros de saída acrescentando suffix ao nome do ficheiro de entrada, após remover qualquer extensão de compressão.

--in-place
    Sobrepõe cada ficheiro de entrada com a saída, após remover qualquer extensão de compressão.

-q, --quiet
    Não emite mensagens de erro quando a página não puder ser convertida.

-d, --debug
    Imprime informação de depuração.

-h, --help
    Mostra uma mensagem de ajuda e sai.

-V, --version
    Mostra informação da versão.

VEJA TAMBÉM
iconv(1), man(1), manconv(1)

ERROS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

AUTOR
Colin Watson (cjwatson@debian.org).